:root {
	--theme-color-bg: #111;
	--theme-color-fg: #fff;
	--theme-color-primary: #ffa500;
	--theme-color-secondary: #66cdaa;
	--theme-color-tertiary: #4febff;
}
head, body {
	margin: 0;
	padding: 0;
}
body {
	font-family: /*"Brush Script MT", */Arial, Helvetica;
	background-color: var(--theme-color-bg);
	color: var(--theme-color-fg);
}

content {
	display: block;
	padding: 2em;
}

a:link {
	color: var(--theme-color-tertiary);
}
a:visited {
	color: var(--theme-color-secondary);
}

hr {
	border: 0.15em solid var(--theme-color-tertiary);
}

/* #nav */

#nav {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-evenly;
}
#nav > a {
	flex-grow: 1;
	padding: 0.25em;
	
	color: var(--theme-color-fg);
	font-size: 2em;
	text-align: center;
	text-decoration: none;
	cursor: pointer;
	
	border-bottom: 0.15em solid var(--theme-color-primary);
}
#nav > a:hover, #nav > a.current_page {
	border-bottom-color: var(--theme-color-secondary);
}

/* .tabs */

.tabs > .tabs-header {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-evenly;
	gap: 2em;
	margin-bottom: 4em;
}
.tabs > .tabs-header > label {
	display: block;
	flex-grow: 1;
	max-width: 8em;
	text-align: center;
	
	font-size: 2em;
	font-weight: bold;
	border-bottom: 0.15em solid var(--theme-color-primary);
	cursor: pointer;
}
.tabs > .tabs-header > label:hover, .tabs > .tabs-header > label.tabs-name-checked {
	border-bottom-color: var(--theme-color-tertiary);
}
.tabs > .tabs-header > label > a {
	display: inline-block;
	width: 100%;
	color: var(--theme-color-fg);
	text-decoration: none;
}

.tabs > .tabs-body > input {
	display: none;
}
.tabs > .tabs-body > input:not(:checked) + .tabs-content {
	display: none;
}

/* .gallery */

.gallery {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	align-items: flex-start;
	gap: 2em;
}
.gallery > .gallery-img {
	--gallery-img-color: var(--theme-color-secondary);
}
.gallery > .gallery-img.gallery-img-best {
	--gallery-img-color: var(--theme-color-primary);
}

.gallery > .gallery-img {
	padding: 0.5em;
	border-radius: 1em;
	text-decoration: none;
}
.gallery > .gallery-img:hover {
	background-color: var(--gallery-img-color);
}

.gallery > .gallery-img > div {
	position: relative;
	margin: 0 auto;
	width: max-content;
}
.gallery > .gallery-img > div > img {
	display: block;
	max-width: 20em;
	max-height: calc(20em * 2 / 3);
	border-radius: 0.5em;
}
.gallery > .gallery-img.gallery-img-best > div::after {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	border-top: 4em solid var(--gallery-img-color);
	border-right: 4em solid transparent;
	border-top-left-radius: 0.5em;
}
.gallery > .gallery-img.gallery-img-best:hover > div::after {
	display: none;
}

.gallery > .gallery-img > text {
	display: block;
	margin-top: 0.25em;
	max-width: 10em;
	
	color: var(--gallery-img-color);
	font-size: 2em;
	text-align: center;
	overflow-wrap: break-word;
}
.gallery > .gallery-img:hover > text {
	color: var(--theme-color-bg);
}

@media (hover: hover) {
	.gallery {
		row-gap: 0;
	}
	.gallery > .gallery-img > text {
		color: var(--theme-color-bg);
	}
}

/* .form */

.form > span {
	display: block;
	margin-bottom: 1em;
}
.form label {
	color: var(--theme-color-fg);
}
.form input, .form select {
	background-color: transparent;
	color: var(--theme-color-fg);
	accent-color: var(--theme-color-secondary);
	border: 0.25em solid var(--theme-color-secondary);
	border-radius: 0.25em;
}
.form input:not([type="checkbox"]):not([type="radio"]), .form input[type="checkbox"]:checked, .form input[type="radio"]:checked, .form select {
	outline: none;
}
.form input:hover, .form input:focus, .form select:hover, .form select:focus {
	accent-color: var(--theme-color-tertiary);
	border-color: var(--theme-color-tertiary);
}
.form input[type="checkbox"], .form input[type="radio"], .form input[type="file"], .form input[type="submit"], .form select {
	cursor: pointer;
}
.form ::-webkit-calendar-picker-indicator {
    filter: invert(1);
}
.form select option {
	color: initial;
}

/* .download */

a.download {
	display: block;
	width: fit-content;
	padding: 0.5em;
	border-radius: 0.25em;
	font-weight: bold;
	text-decoration: none;
	background-color: var(--theme-color-primary);
	color: var(--theme-color-bg);
}
a.download:hover {
	background-color: var(--theme-color-secondary);
}